SUBROUTINE SHUFFLE_ODB(LOG_IO, DBASE_IN, DBASE_OUT, &
                       FORCE_WRITABLE, FORCE_SWAPOUT, &
                       KANDAT, KANTIM, KNMXUPD, &
                       KTBMAR, KTFMAR, &
                       NUM_TIME_SLOTS, &
                       KPROCA, KPROCB, &
                       KWTMETHOD, LDWTINDEP, LDWTREMAP, &
                       LDUMMY )

    USE PARKIND1,ONLY : JPIM,JPRB

    IMPLICIT NONE

    INTEGER(KIND=JPIM),INTENT(IN)    :: LOG_IO, KPROCA, KPROCB
    INTEGER(KIND=JPIM),INTENT(INOUT) :: KANDAT, KANTIM, NUM_TIME_SLOTS
    INTEGER(KIND=JPIM),INTENT(IN)    :: KTBMAR, KTFMAR, KNMXUPD
    INTEGER(KIND=JPIM),INTENT(IN)    :: KWTMETHOD
    LOGICAL,           INTENT(IN)    :: FORCE_WRITABLE, FORCE_SWAPOUT, LDWTINDEP, LDWTREMAP
    CHARACTER(LEN=*),  INTENT(IN)    :: DBASE_IN, DBASE_OUT
    LOGICAL,           INTENT(IN)    :: LDUMMY

END SUBROUTINE SHUFFLE_ODB
